import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { DesignBaseModel } from '../../../models/dictionaries/design-base.model';
export declare class DesignBasesGridComponent implements OnInit {
    private mainPageService;
    isComponentHidden: boolean;
    designBasesGridData: DesignBaseModel[];
    templateDesignBase: DesignBaseModel;
    editedDesignBase: DesignBaseModel;
    rowNumber: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewDesignBase(): void;
    setChoosenElement(element: any, row: any): void;
    editDesignBase(): void;
    deleteDesignBase(element: any): void;
}
