import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { MaterialModel } from '../../../models/dictionaries/material.model';
import { FormGroup } from '@angular/forms';
export declare class MaterialsGridComponent implements OnInit {
    private mainPageService;
    isMaterialsHidden: boolean;
    materialsGridData: MaterialModel[];
    editedMaterial: MaterialModel;
    materialForm: FormGroup;
    rowNumber: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewMaterial(): void;
    setChoosenElement(element: any, row: any): void;
    editMaterial(): void;
    deleteMaterial(element: any): void;
    prepareCreate(): void;
    private createForm();
}
