import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { FormGroup } from '@angular/forms';
import { BasicDictionaryModel } from '../../../models/dictionaries/basic-dictionary.model';
export declare class PipeFasteningGroupsGridComponent implements OnInit {
    private mainPageService;
    isPipeFasteningGroupsHidden: boolean;
    pipeFasteningGroupsGridData: BasicDictionaryModel[];
    editedPipeFasteningGroup: BasicDictionaryModel;
    rowNumber: number;
    formGroup: FormGroup;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewPipeFasteningGroup(): void;
    setChoosenElement(element: any, row: any): void;
    editPipeFasteningGroup(): void;
    deletePipeFasteningGroup(element: any): void;
    prepareCreate(): void;
    private createForm();
}
