import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { PipeFunctionModel } from '../../../models/dictionaries/pipe-function.model';
import { FormGroup } from '@angular/forms';
export declare class PipeFunctionsGridComponent implements OnInit {
    private mainPageService;
    isPipeFunctionsHidden: boolean;
    pipeFunctionsGridData: PipeFunctionModel[];
    editedPipeFunction: PipeFunctionModel;
    rowNumber: number;
    formGroup: FormGroup;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewPipeFunction(): void;
    setChoosenElement(element: any, row: any): void;
    editPipeFunction(): void;
    deletePipeFunction(element: any): void;
    prepareCreate(): void;
    private createForm();
}
