import { OnInit } from '@angular/core';
import { MainPageService } from './../../../main-page.service';
import { Subject } from 'rxjs';
import { PipeMaterialConditionModel } from '../../../../models/dictionaries/pipe-material-condition.model';
import { FormBuilder, FormGroup } from '@angular/forms';
import { BasicDictionaryModel } from '../../../../models/dictionaries/basic-dictionary.model';
export declare class PipeMaterialManagmentComponent implements OnInit {
    private mainPageService;
    private formBuilder;
    pipeMaterialData: any;
    isPipeMaterialNew: boolean;
    stateSubject: Subject<any>;
    pipeMaterialConditionsGridData: PipeMaterialConditionModel[];
    pipeMaterialTypesArray: BasicDictionaryModel[];
    editedConditionData: PipeMaterialConditionModel;
    canAddRowToConditionGrid: boolean;
    private conditionsOpenedGridRows;
    isConditionsGridInChangeMode: boolean;
    currentOpenRow: number;
    formGroup: FormGroup;
    rowNumber: number;
    private removeData;
    constructor(mainPageService: MainPageService, formBuilder: FormBuilder);
    ngOnInit(): void;
    loadData(): void;
    showManagmentPage(sender: any, isNew?: any): void;
    save(): void;
    returnHandler(): void;
    editHandlerForConditionData({sender, rowIndex}: {
        sender: any;
        rowIndex: any;
    }): void;
    cancelHandlerForConditionData({sender, rowIndex}: {
        sender: any;
        rowIndex: any;
    }): void;
    saveHandlerForconditionData({sender, formGroup, rowIndex}: {
        sender: any;
        formGroup: any;
        rowIndex: any;
    }): void;
    addHandlerForConditionData({sender}: {
        sender: any;
    }): void;
    removeHandler({dataItem}: {
        dataItem: any;
    }): void;
    createFormGroupForConditionsData(dataItem: any): FormGroup;
    overwriteDataInGrid(rowIndex: any, formGroup: any): void;
    saveNewCondition(): void;
    saveEditedConditions(): void;
    removeCondition(): void;
    deletePipeMaterialCondition(condition: any): void;
    savePipeMaterialHandler(valid: any): void;
}
