import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { ReleaseModel } from '../../../models/dictionaries/release.model';
import { FormGroup } from '@angular/forms';
export declare class ReleasesComponent implements OnInit {
    private mainPageService;
    isReleasesHidden: boolean;
    releasesGridData: ReleaseModel[];
    templateRelease: ReleaseModel;
    editedRelease: ReleaseModel;
    releaseForm: FormGroup;
    rowNumber: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    prepareCreate(): void;
    private createForm();
    toggle(): void;
    checkRealease(release: ReleaseModel): void;
    saveNewRelease(): void;
    setChoosenElement(element: ReleaseModel, row: any): void;
    editRelease(): void;
    deleteRelease(release: any): void;
}
