import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { SubcomponentVerificationModel } from '../../../models/dictionaries/subcomponents-verification.model';
export declare class SubcomponentsVerificationGridComponent implements OnInit {
    private mainPageService;
    isSubcomponentsVerificationHidden: boolean;
    subcomponentVerificationGridData: SubcomponentVerificationModel[];
    templateSubcomponent: SubcomponentVerificationModel;
    editedSubcomponent: SubcomponentVerificationModel;
    rowNumber: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewSubcomponentForVerification(): void;
    setChoosenElement(element: any, row: any): void;
    editSubcomponentForVerification(): void;
    deleteSubcomponentForVerification(element: any): void;
}
