import { OnInit, NgZone } from "@angular/core";
import { StpConfigureService } from "../stp-configure.service";
import { MainPageService } from "../../../main-page/main-page.service";
import { ShowViewerArgs } from "../../../models/viewer/ShowViewerArgs.model";
import { PipeRingVariantConfigModel } from "../../../models/parts/pipering-variant-config.model";
import { PiperingBossModel } from "../../../models/parts/pipering-boss.model";
export declare class PiperingConfigureComponent implements OnInit {
    private stpConfigureService;
    private mainPageService;
    private zone;
    args: ShowViewerArgs;
    private pipering;
    piperingVariantConfig: PipeRingVariantConfigModel;
    configDisplay: PipeRingVariantConfigModel;
    private unitsConverter;
    selectedUnit: string;
    piperingBossData: PiperingBossModel[];
    Args: ShowViewerArgs;
    constructor(stpConfigureService: StpConfigureService, mainPageService: MainPageService, zone: NgZone);
    ngOnInit(): void;
    loadVariantData(): void;
    createNewConfig(): void;
    preventKeys(event: any): void;
    saveVariantChanges(): void;
    private changeDisplayedUnits();
    private changeElementUnitsToSI();
    mountingChange(): void;
}
