import { OnInit, NgZone } from "@angular/core";
import { MainPageService } from "../../main-page.service";
import { StpConfigureService } from "../stp-configure.service";
import { ShowViewerArgs } from "../../../models/viewer/ShowViewerArgs.model";
export declare class ThreadedConfigureComponent implements OnInit {
    private mainPageService;
    private stpConfigureService;
    private zone;
    args: ShowViewerArgs;
    private pipering;
    connectorOptions: any[];
    channelOptions: any[];
    currentChoosenThreadeRod: number;
    piperingVariantConfig: any;
    selectedOption: any;
    Args: ShowViewerArgs;
    constructor(mainPageService: MainPageService, stpConfigureService: StpConfigureService, zone: NgZone);
    ngOnInit(): void;
    loadVariantData(): void;
    createNewConfig(): void;
    saveVariantChanges(): void;
    addConnector(): void;
    removeConnector(connector: any): void;
    connectorChanged(connector: any, event: any): void;
    addNewThreadedRod(): void;
    removeCurrentThreadedRod(): void;
    onGroupChange(event: any): void;
    activeConnector(connector: any): any[];
}
