export interface ExtensionInterface {
    armsTranslationVector: any;
    loadingCompleated: any;
    isVariantChoosen: boolean;
    getArms(): any;
    getPossibleArmDirections(): any;
    getPossibleReleaseCodes(): any;
    changeArmDirection(armDefinition: any, directionId: String): any;
    removeArmDefintion(armDefinition: any): any;
    createEmptyArm(): any;
    prepareFullConnectorConfiguration(): any;
    setOrientationAndPositionOfModel(armsTranslationVector: any): any;
    rewriteArms(): any;
    resetConnectorCrossSectionsConfig(): any;
    showConnectorCrossSections(groupId: number): any;
    hideConnectorCrossSections(): any;
    getConnectorCrossSectionsConfig(): any;
    createEmptyConnectorCrossSection(arm: any, groupId: any): any;
    changeShownCrossSection(arm: any, crossSection: any, groupId: any): any;
    removeCrossSectionForArm(arm: any, crossSection: any): any;
    verifyArmDefinitionForProfileConfiguration(groupId: number): boolean;
    createEmptyArmGroup(groupName: string): any;
    removeArmGroup(armGroup: any): any;
}
