import { AppStorageService } from '../service/common/app-storage.service';
import { WindowRefService } from '../service/common/window.ref.service';
import { CommonService } from '../service/common/common.service';
import { SharedService } from '../service/common/shared.service';
import { OnInit } from '@angular/core';
import { Http } from '@angular/http';
import { Location } from '@angular/common';
import { TranslateService } from '@ngx-translate/core';
import { SessionStorageService } from '../service/common/session-storage.service';
import { Router, ActivatedRoute } from '@angular/router';
import { AuthService } from '../service/common/auth.service';
import { UserService } from '../service/common/user.service';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/skip';
import { NavService } from '../service/common/nav.service';
import { Title } from '@angular/platform-browser';
import { UserRoleService } from '../service/common/user-role.service';
import { CrowdinService } from '../service/common/crowdin.service';
import { RouteGuard } from '../service/common/routeguard.service';
export declare class OauthcallbackComponent implements OnInit {
    private translate;
    private user;
    private auth;
    private location;
    private router;
    private http;
    private route;
    private sessionStorageService;
    private appStorageService;
    private sharedService;
    private commonService;
    private windowRef;
    private navService;
    private titleService;
    private userRoleService;
    private crowdinService;
    private routeGuard;
    private browserLanguage;
    private code;
    private state;
    private envName;
    private language;
    private subscription;
    constructor(translate: TranslateService, user: UserService, auth: AuthService, location: Location, router: Router, http: Http, route: ActivatedRoute, sessionStorageService: SessionStorageService, appStorageService: AppStorageService, sharedService: SharedService, commonService: CommonService, windowRef: WindowRefService, navService: NavService, titleService: Title, userRoleService: UserRoleService, crowdinService: CrowdinService, routeGuard: RouteGuard);
    ngOnInit(): void;
    private finishAuthentication(result);
    private retrieveCode();
    private setInitiazationData(result);
    private getReturnUrl();
    private navigateToReturnUrl();
    private onPostAuthentication(userId);
}
