import { AppStorageService } from './../common/app-storage.service';
import { Http } from '@angular/http';
import { ActivatedRoute } from '@angular/router';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { UserService } from './user.service';
import { SessionStorageService } from './../common/session-storage.service';
export declare class AuthService {
    private http;
    private sessionStorageService;
    private activatedRoute;
    private appStorageService;
    private oAuthCallbackUrl;
    private tokenUrl;
    private authenticated;
    private token;
    private expires;
    private clientId;
    private user;
    private state;
    private authorizeUrl;
    private logoutUrl;
    constructor(http: Http, user: UserService, sessionStorageService: SessionStorageService, activatedRoute: ActivatedRoute, appStorageService: AppStorageService);
    /**
     * Login to application
     **/
    login(authenticationData: any): boolean;
    logout(): void;
    getAuthorizeUrl(lang: string, state: string): string;
    getToken(code: string, state: string): Observable<any>;
}
