import { Observable } from "rxjs/Observable";
export declare class NavService {
    private _navSource;
    $navItemsChanged: Observable<INavItem[]>;
    constructor();
    setNav(navItems: Array<INavItem>): void;
}
export interface INavItem {
    routeUrl: string;
    routeName: string;
    navId: string;
    tooltip: string;
}
