import { ToasterService } from 'angular2-toaster';
import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs/Observable';
export declare class SharedService {
    private toasterService;
    private translate;
    private _languageSource;
    private _breadcrumbSource;
    breadCrumb$: Observable<string>;
    language$: Observable<string>;
    constructor(toasterService: ToasterService, translate: TranslateService);
    changeLanguage(lang: any): void;
    changeBreadCrumb(breadcrumb: any): void;
    popFailure: (body: string) => void;
    popSuccess: (body: string) => void;
    private _loaderSource;
    $loader: Observable<boolean>;
    showLoader(show: boolean): void;
    private _pdfDataReady;
    $pdfDataReady: Observable<any>;
    pdfDataRready(pdfData: any): void;
    popToast: (toastType: string, title: string, body: string) => void;
}
