import { OnInit, Injector } from '@angular/core';
import { NavService, INavItem } from '../../service/common/nav.service';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
export declare class NavigationComponent implements OnInit {
    translate: TranslateService;
    private navService;
    private router;
    private inj;
    showNavBar: boolean;
    private navItems;
    constructor(translate: TranslateService, navService: NavService, router: Router, inj: Injector);
    navigate(navItem: INavItem): void;
    getNavButtonClass(totalItems: any, itemIndex: any): "navigation-buttonhome" | "navigation-buttonhomeattached" | "navigation-buttonalone";
    getNavItemId(totalItems: any, itemIndex: any): "backToProjects" | "backToProject";
    getNavItemClass(totalItems: any, itemIndex: any): "navigation-home" | "navigation-homeitem" | "navigation-loneitem";
    ngOnInit(): void;
}
