import { Component, OnInit, Input } from '@angular/core';
import { MainPageService } from '../main-page.service';
import { Http } from '@angular/http';
import { ConnectorGridComponent } from '../master-data/connectors/connector-grid/connector-grid.component';


@Component({
  selector: 'app-side-menu',
  templateUrl: './side-menu.component.html',
  styleUrls: ['./side-menu.component.scss']
})
export class SideMenuComponent implements OnInit {

  public choiceName: string;

  @Input() sideBar: ConnectorGridComponent;
  constructor(private mainPageService: MainPageService) {

  }
  public ngOnInit(): void {}

  public showConnector(): void {
    this.sideBar.toggle();
  }

  public setSidemenuChoice(choiceName: string, menuTitle: string): void {
    this.choiceName = choiceName;
    this.mainPageService.sidemenuSubject.next({
    choiceName:choiceName,
    menuTitle:menuTitle
    });
    console.log(choiceName);
  }

}





