export interface ExtensionInterface {
    armsTranslationVector: any;
    loadingCompleated: any;
    isVariantChoosen: boolean;
    getArms();
    getPossibleArmDirections();
    getPossibleReleaseCodes();
    changeArmDirection(armDefinition: any, directionId: String);
    removeArmDefintion(armDefinition: any);
    createEmptyArm();
    prepareFullConnectorConfiguration(): any;
    setOrientationAndPositionOfModel(armsTranslationVector);
    rewriteArms();
    resetConnectorCrossSectionsConfig();
    showConnectorCrossSections(groupId: number);
    hideConnectorCrossSections();
    getConnectorCrossSectionsConfig(): any;
    createEmptyConnectorCrossSection(arm, groupId): any;
    changeShownCrossSection(arm, crossSection, groupId);
    removeCrossSectionForArm(arm, crossSection);
    verifyArmDefinitionForProfileConfiguration(groupId: number): boolean;
    createEmptyArmGroup(groupName: string);
    removeArmGroup(armGroup);
}
