﻿console.log("CONSTRUCTION VIEWER RESOURCES LOADING: begin");
console.log("STYLES LOADING: begin");
if (VIEWER_OPTIONS.runLocally) {
    $('head').append('<link rel="stylesheet" href="js/lib/bootstrap/css/bootstrap.min.css">');
    $('head').append('<link rel="stylesheet" href="js/lib/font-awesome/css/font-awesome.min.css">');
    $('head').append('<link rel="stylesheet" href="js/lib/simple-line-icons/css/simple-line-icons.css">');
}
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/override.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/crowdin.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/VIEWUI.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/VIEWUI.popups.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/VIEWUI.properties.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/VIEWUI.viewTree.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/dark-theme.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/hilti.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'css/hol.css" type="text/css" />');
$('head').append('<link rel="stylesheet" href="' + rootPath + 'js/lib/bootstrap-switch/bootstrap-switch.min.css">');
//$('head').append('<link rel="stylesheet" href="' + rootPath + 'js/lib/scrollbar/scrollbar.min.css" type="text/css" />');
console.log("STYLES LOADING: end");
var constructionViewerInitSuccess = false;
var loadedScriptsCount = 0;
function add() {
     loadedScriptsCount ++;
}var totalParts = 8;
function logPartLoading(part) {
     console.log("SCRIPTS LOADING: loading part " + part + "/" + totalParts);
}
function logPartLoaded(part) {
     console.log("SCRIPTS LOADING: part " + part + "/" + totalParts + " successfully loaded");
}
function logModuleError(err) {
    console.error("SCRIPTS LOADING: failed to load modules: " + err.requireModules + ". " + err);
    if (typeof VIEWERLOADER !== 'undefined' && typeof VIEWERLOADER.setError === 'function') {
        VIEWERLOADER.setError("Scripts loading failed");
    }
}
logPartLoading(1);
logPartLoaded(1);
logPartLoading(2);
require.config({
    baseUrl: rootPath,
    paths: {
        jQuery: 'js/lib/jquery.min',
        jQueryUi: 'js/lib/jquery-ui/jquery-ui.min',
        bootstrap: 'js/lib/bootstrap/js/bootstrap.min',
        stats: 'js/lib/stats.min',
        typeface: 'js/lib/typeface-0.14-styles-hotfix',
        text: "js/lib/text",
        knockout: 'js/lib/knockout.debug',
        komapping: "js/lib/knockout.mapping.debug",
        'js/viewui/VIEWUI.properties': 'js/viewui/VIEWUI.properties',
        long: "js/lib/Long",
        //ByteBuffer: "js/lib/ByteBufferAB",
        ProtoBuf: "js/lib/ProtoBuf"
    },
    shim: {
        /*
        'viewui/VIEWUI.properties.vmGenerator': {
            deps: ['viewui/VIEWUI.properties']
        },*/
        //'ProtoBuf': {
        //    deps: ['long']
        //}
    }
});
if (VIEWER_OPTIONS.runLocally) {
    console.log("SCRIPTS LOADING: loading offline modules...");
}
var offlineModules = [];
if (VIEWER_OPTIONS.runLocally) {
    offlineModules = ['jQuery', 'jQueryUi', 'bootstrap'];
}
require(offlineModules, function() {
    if (VIEWER_OPTIONS.runLocally) {
        console.log("SCRIPTS LOADING: offline modules loaded");
    }
    require(['js/lib/text', 'js/lib/three', 'js/lib/jquery-define-amd', 'knockout', 'komapping', 'ProtoBuf'], function(text, three, jQueryAmd, knockout, koMapping, protoBuff) {
        window['ko'] = knockout;
        ko.mapping = koMapping;
        ProtoBuf = protoBuff;
        if (typeof THREE === 'undefined') THREE = three;
        define.amd = null;
        logPartLoaded(2);
        logPartLoading(3);
        require(['js/lib/OrbitControls'], function () {
            logPartLoaded(3);
            logPartLoading(4);
            require([ /*'typeface', 'js/lib/fonts/helvetiker_regular.typeface', */'js/lib/parse-bmfont-ascii', 'js/lib/three-bmfont-text', 'js/helpers/HELPERS', 'stats', 'js/lib/OBJLoader', 'js/lib/MTLLoader', 'js/lib/bootstrap-switch/bootstrap-switch.min'], function () {
                logPartLoaded(4);
                logPartLoading(5);
                require(['js/model/utils/MODEL.utils.UndoRedo', 'js/model/utils/MODEL.utils', 'js/model/MODEL.types', 'js/model/MODEL.Node', 'js/model/MODEL.Bar', 'js/model/MODEL.Connector', 'js/model/MODEL.load', 'js/model/MODEL.Workplane', 'js/model/MODEL.LoadCase', 'js/model/MODEL.support', 'js/model/repository/MODEL.repository', 'js/model/MODEL.BarResults', 'js/model/MODEL.NodeResults', 'js/model/MODEL.Constraints', 'js/model/MODEL.ResultsWindowViewModel', 'js/model/MODEL.SystemPreferences', 'js/model/MODEL.BarGammaReset', 'js/model/MODEL.NodeAttachController',  'js/model/MODEL.Measurements', 'js/model/MODEL.NodeBarsRelation', 'js/model/MODEL.BarAttachmentsController', 'js/model/MODEL.NodeMerger', 'js/model/MODEL.Box','js/view3d/VIEW3D.MissingProfile', 'js/view3d/VIEW3D.PipeTemplate', 'js/view3d/VIEW3D.SnapGrid', 'js/extension/Extension.Pipe', 'js/extension/Extension.RevitModels', 'js/view3d/VIEW3D.ExternalModels', 'js/extension/Extension.PipePlane', 'js/extension/Extension.Materials', 'js/extension/Extension.Clipping', 'js/view3d/controls/VIEW3D.controls.NodeDraw' , 'js/view3d/controls/VIEW3D.controls.OrthogonalPlaneHelper', 'js/extension/Extension.Stp'
                , 'js/extension/Extension.StpInterface', 'js/extension/Extension.ArmRecognition', 'js/extension/Extension.ArmValidator',  'js/extension/Extension.ArmSizeAnalysis', 'js/extension/Extension.CrossSectionRecognition', 'js/extension/Extension.BaseRecognition', 'js/extension/Extension.ConnectorCrossSectionManagement', 'js/extension/Extension.ProtoModelManager', 'js/extension/Extension.ConnectorCrossSectionVisualizer', 'js/extension/Extension.DoubleConnectorArmRecognition', 'js/extension/Extension.ArmManagement', 'js/extension/Extension.GeometryAnalysis', 'js/extension/Extension.LineMath', 'js/extension/Extension.Modeling', 'js/extension/Extension.LightConstraintsExecutor', 'js/view3d/VIEW3D.DmtConnector'], function () {
                    logPartLoaded(4);
                    logPartLoading(5);
                    require([], function() {
                        logPartLoaded(5);
                        logPartLoading(6);
                        
                            logPartLoaded(6);
                            logPartLoading(7);
                            
                                logPartLoaded(7);
                                console.log("LOADING 3D resources");
                                require([
                                    "js/loaders/png!font", "js/loaders/png!extremum","js/loaders/png!itemLabel", "js/loaders/png!3dcursors", "js/loaders/png!warning", "js/loaders/obj!extremum", "js/loaders/obj!warning", "js/loaders/obj!rotation"
                                ], function() {
                                    logPartLoaded(8);
                                    console.log("CONSTRUCTION VIEWER RESOURCES LOADING: All scripts loaded successfully");
                                    constructionViewerInitSuccess = true;
                                }, function(err) {
                                    logModuleError(err);
                                });
                            
                        
                    }, function(err) {
                        logModuleError(err);
                    });
                }, function(err) {
                    logModuleError(err);
                });
            }, function(err) {
                logModuleError(err);
            });
        }, function(err) {
            logModuleError(err);
        });
    }, function(err) {
        logModuleError(err);
    });
}, function(err) {
    logModuleError("SCRIPTS LOADING: failed to load offline modules");
    logModuleError(err);
});
//# sourceURL=load_resources.js