﻿MODEL.BarGammaReset = function(bars) {
    var subs = {};
    var willBeCalled = false;
    var trigger = function(bar) {
        if (willBeCalled === false) {
            willBeCalled = true;
            setTimeout(function() {
                console.log("Updating Bar " + bar.id);
                bar.isGammaAuto(true);
                willBeCalled = false;
            }, 1);
        }
    }
    var onAddBar = function(bar) {
        subs[bar.id] = {
            pos1ChangeSub: HELPERS.subscribePropertyChange(this, bar.node1().position, "bar.node1().position", trigger, bar),
            pos2ChangeSub: HELPERS.subscribePropertyChange(this, bar.node2().position, "bar.node2().position", trigger, bar)
            //node1ChangeSub: HELPERS.subscribePropertyChange(this, bar.node1, "bar.node1", function() {
            //    subs[bar.id].pos1ChangeSub.dispose();
            //    if (!isEmpty(bar.node1())) {
            //        subs[bar.id].pos1ChangeSub = HELPERS.subscribePropertyChange(this, bar.node1().position, "bar.selected", trigger, bar);
            //        trigger(bar);
            //    }
            //}),
            //node2ChangeSub: HELPERS.subscribePropertyChange(this, bar.node2, "bar.node2", function() {
            //    subs[bar.id].pos2ChangeSub.dispose();
            //    if (!isEmpty(bar.node2())) {
            //        subs[bar.id].pos2ChangeSub = HELPERS.subscribePropertyChange(this, bar.node2().position, "bar.selected", trigger, bar);
            //        trigger(bar);
            //    }
            //}),
            //profileChangeSub: HELPERS.subscribePropertyChange(this, bar.profileId, "bar.profile", trigger, bar)
        }
    }
    var onRemoveBar = function(bar) {
        for (var i = 0; i < subs[bar.id].length; i++) {
            subs[bar.id][i].dispose();
        }
        delete subs[bar.id];
    }
    // init
    HELPERS.subscribeArrayChange(this, bars, "bars", onAddBar, onRemoveBar);
    for (var i = 0; i < bars().length; i++) {
        onAddBar(bars()[i]);
    }
};