﻿var MODEL = MODEL || {};
// this class keeps createsBars property in all nodes up to date
MODEL.NodeBarsRelation = function(bars) {
    //subscribers on bar nodes (node1, node2) chnage
    var barNodesPosSub = {};
    // event handlers
    //----------------------------------------------------------
    var onBarNode1Chage = function(bar, oldNode) {
        oldNode.createsBars.splice(oldNode.createsBars().indexOf(bar), 1);
        bar.node1().createsBars.push(bar);
    }
    var onBarNode2Chage = function(bar, oldNode) {
        oldNode.createsBars.splice(oldNode.createsBars().indexOf(bar), 1);
        bar.node2().createsBars.push(bar);
    }

    var onAddBar = function(bar) {
        bar.node1().createsBars.push(bar);
        bar.node2().createsBars.push(bar);
        barNodesPosSub[bar.id] = {
            node1: HELPERS.subscribePropertyChange(this, bar.node1, "bar.node1", function(newNode, oldNode) { onBarNode1Chage(bar, oldNode); }),
            node2: HELPERS.subscribePropertyChange(this, bar.node2, "bar.node2", function(newNode, oldNode) { onBarNode2Chage(bar, oldNode); })
        }
    }
    var onRemoveBar = function(bar) {
        bar.node1().createsBars.splice(bar.node1().createsBars().indexOf(bar), 1);
        bar.node2().createsBars.splice(bar.node2().createsBars().indexOf(bar), 1);
        barNodesPosSub[bar.id].node1.dispose();
        barNodesPosSub[bar.id].node2.dispose();
        delete barNodesPosSub[bar.id];
    }
    // init
    HELPERS.subscribeArrayChange(this, bars, "bars", onAddBar, onRemoveBar);
    var i;
    for (i = 0; i < bars().length; i++) {
        onAddBar(bars()[i]);
    }
}