﻿'use strict';
var VIEW3D = VIEW3D || {}

VIEW3D.Viewport3D = function(model)
{
    var model = model;
    var constructionView = new VIEW3D.Construction(model);

    var renderer = new THREE.WebGLRenderer();
    var viewportContainer = document.getElementById("webGlContainer");
    if (viewportContainer == null || viewportContainer === 'undefined') {
        console.error("webGlContainer is null or undefined!");
    }
    var width = canvasesContainer.innerWidth;
    var height = canvasesContainer.innerHeight;

    if (CORE.options.useOrthographicProjection)
        camera = new THREE.OrthographicCamera(-width / 10, width / 10, height / 10, -height / 10, -1000, 1000);
    else
        camera = new THREE.PerspectiveCamera(50, width / height, 0.1, 1000);

    controls = new THREE.OrbitControls(camera, renderer.domElement, renderer.domElement);
    controls.zoomSpeed = '0.5';

    height = parseInt(window.getComputedStyle(webGlContainer, null).getPropertyValue("height"));
    width = parseInt(window.getComputedStyle(webGlContainer, null).getPropertyValue("width"));

    renderer.setSize(width, height);
    renderer.setClearColor(0xFFFFFF, 1);

    webGlContainer.appendChild(renderer.domElement);

    scene = new THREE.Scene();
}