﻿VIEWUI.properties = VIEWUI.properties || {};

VIEWUI.properties.BarForce = function (viewModel) {
    this.allLoadTypes = ko.observableArray();

    for (i = 0; i < CORE.model.loadCases().length; i++) {
        this.allLoadTypes.push(CORE.model.loadCases()[i].loadCase);
    };
    //this.allLoadTypes = CORE.model.loadCases; //ko.observableArray([ "LOADCASE_DEAD", "LOADCASE_LIVE"]);
    this.loadCase = ko.observable(viewModel.loadCase());
    this.showLoadTypesList = ko.observable(false);
    this.onLoadTypeCurrentItemClick = function() {
        if (this.showLoadTypesList()) {
            this.showLoadTypesList(false);
        } else {
            this.showLoadTypesList(true);
        }
    };
    this.onLoadTypeListItemClick = function(code) {
        this.loadCase(code);
        viewModel.loadCase(code);
        this.showLoadTypesList(false);
    };

    this.onFinishClicked = function (viewModel) {
        CORE.model.deselectAll();
        VIEWUI.toolbar.switchMode(MODE.SELECT);
        VIEWUI.viewModel.popupMode(null);
    };
    /*this.assignModeEnabled = ko.observable(false);
    this.enableAssignMode = function (viewModel) {
        if (!this.assignModeEnabled()) {
            this.assignModeEnabled(true);
            CORE.model.definingObject(viewModel.modelObject);
            CORE.mode(MODE.EDIT_BAR_FORCE);
        }
        else {
            this.assignModeEnabled(false);
            CORE.mode(MODE.SELECT);
        }
    };*/

    
}