import { Response, Http } from '@angular/http';
import { UserService } from './../service/common/user.service';
import { Router } from '@angular/router';
import { Observable } from 'rxjs/Observable';
export declare class HttpClient {
    private http;
    private userService;
    private router;
    constructor(http: Http, userService: UserService, router: Router);
    private createAuthorizationHeader(headers);
    private createSimpleHeader(headers);
    getBlob(url: any): Observable<Response>;
    get(url: any, params: any): Observable<Response>;
    getWithOptions(url: any, options: any, params: any): Observable<Response>;
    post(url: any, data: any): Observable<Response>;
    put(url: any, data: any, params: any): Observable<Response>;
    enforceAuthorization(): void;
    private enrichUrl(url, params);
}
