import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { CorosiveProtectionModel } from '../../../models/dictionaries/corosive-protection.model';
export declare class CorosionProtectionGridComponent implements OnInit {
    private mainPageService;
    isComponentHidden: boolean;
    corosionProtectionGridData: CorosiveProtectionModel[];
    templateCorosionProtection: CorosiveProtectionModel;
    editedCorosionProtection: CorosiveProtectionModel;
    rowNumber: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewCorosionProtection(): void;
    setChoosenElement(element: any, row: any): void;
    editCorosionProtection(): void;
    deleteCorosionProtection(element: any): void;
}
