import { OnInit, NgZone } from '@angular/core';
import { Subject } from 'rxjs';
import { FormBuilder, FormGroup } from '@angular/forms';
import { InsulationMaterialSizeModel } from '../../../../models/dictionaries/insulation-material-size.model';
import { MainPageService } from '../../../main-page.service';
export declare class InsulationMaterialManagmentComponent implements OnInit {
    private mainPageService;
    private formBuilder;
    private zone;
    insulationMaterialData: any;
    isInsulationMaterialNew: boolean;
    stateSubject: Subject<any>;
    insulationMaterialSizeGridData: InsulationMaterialSizeModel[];
    editedSizeData: InsulationMaterialSizeModel;
    canAddRowToSizeGrid: boolean;
    private sizesOpenedGridRows;
    isSizesGridInChangeMode: boolean;
    currentOpenRow: number;
    formGroup: FormGroup;
    rowNumber: number;
    private removeData;
    constructor(mainPageService: MainPageService, formBuilder: FormBuilder, zone: NgZone);
    ngOnInit(): void;
    loadData(): void;
    showManagmentPage(sender: any, isNew?: any): void;
    save(): void;
    returnHandler(): void;
    editHandlerForSizeData({sender, rowIndex, dataItem}: {
        sender: any;
        rowIndex: any;
        dataItem: any;
    }): void;
    cancelHandlerForSizeData({sender, rowIndex}: {
        sender: any;
        rowIndex: any;
    }): void;
    saveHandlerForSizeData({sender, formGroup, rowIndex}: {
        sender: any;
        formGroup: any;
        rowIndex: any;
    }): void;
    addHandlerForSizeData({sender}: {
        sender: any;
    }): void;
    removeHandler({sender, dataItem}: {
        sender: any;
        dataItem: any;
    }): void;
    createFormGroupForSizeData(dataItem: any): FormGroup;
    overwriteDataInGrid(rowIndex: any, formGroup: any): void;
    saveNewSize(): void;
    saveEditedSizes(): void;
    removeSize(): void;
    deleteInsulationMaterialSize(size: any): void;
}
