import { OnInit } from '@angular/core';
import { MainPageService } from '../../../../main-page/main-page.service';
import { InsulationMaterialManagmentComponent } from '../insulation-material-managment/insulation-material-managment.component';
import { InsulationMaterialModel } from '../../../../models/dictionaries/insulation-material.model';
export declare class InsulationMaterialsGridComponent implements OnInit {
    private mainPageService;
    managmentComponent: InsulationMaterialManagmentComponent;
    isInsulationMaterialsHidden: boolean;
    insulationMaterialsGridData: InsulationMaterialModel[];
    selectedInsulationMaterial: InsulationMaterialModel;
    isInsulationMaterialChoosen: boolean;
    elementIndex: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    createNewInsulationMaterial(): void;
    setChoosenElement(element: any): void;
    editInsulationMaterial(element: any): void;
    deleteInsulationMaterial(): void;
}
