import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { InteractionEquationModel } from '../../../models/dictionaries/interaction-equation.model';
import { KatexOptions } from 'ng-katex';
import { EquationParser } from '../../../shared/equation-parser/equation-parser';
export declare class InteractionEquationsComponent implements OnInit {
    private mainPageService;
    converter: EquationParser;
    isInteractionEquationsHidden: boolean;
    interactionEquationsGridData: InteractionEquationModel[];
    editedInteractionEquation: InteractionEquationModel;
    convertedEquation: string;
    rowNumber: number;
    options: KatexOptions;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewInteractionEquation(): void;
    setChoosenElement(element: InteractionEquationModel, row: any): void;
    editInteractionEquation(): void;
    deleteInteractionEquation(interactionEquation: any): void;
    onChange(event: any): void;
}
