import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { FormGroup } from '@angular/forms';
import { PipeGroupModel } from '../../../models/dictionaries/pipe-group.model';
export declare class PipeGroupsGridComponent implements OnInit {
    private mainPageService;
    isPipeGroupsHidden: boolean;
    pipeGroupsGridData: PipeGroupModel[];
    editedPipeGroup: PipeGroupModel;
    rowNumber: number;
    formGroup: FormGroup;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewPipeGroup(): void;
    setChoosenElement(element: any, row: any): void;
    editPipeGroup(): void;
    deletePipeGroup(element: any): void;
    prepareCreate(): void;
    private createForm();
}
