import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { FormGroup } from '@angular/forms';
import { BasicDictionaryModel } from '../../../models/dictionaries/basic-dictionary.model';
export declare class PipeMaterialTypesGridComponent implements OnInit {
    private mainPageService;
    isPipeMaterialTypesHidden: boolean;
    pipeMaterialTypesGridData: BasicDictionaryModel[];
    editedPipeMaterialType: BasicDictionaryModel;
    rowNumber: number;
    formGroup: FormGroup;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewPipeMaterialType(): void;
    setChoosenElement(element: any, row: any): void;
    editPipeMaterialType(): void;
    deletePipeMaterialType(element: any): void;
    prepareCreate(): void;
    private createForm();
}
