import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { PiperingGroupModel } from '../../../models/dictionaries/pipering-group.model';
import { FormGroup } from '@angular/forms';
export declare class PiperingGroupsGridComponent implements OnInit {
    private mainPageService;
    isPiperingGroupsHidden: boolean;
    piperingGroupsGridData: PiperingGroupModel[];
    editedPiperingGroup: PiperingGroupModel;
    rowNumber: number;
    headers: string[];
    formGroup: FormGroup;
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewPiperingGroup(): void;
    setChoosenElement(element: any, row: any): void;
    editPiperingGroup(): void;
    deletePiperingGroup(element: any): void;
    prepareCreate(): void;
    private createForm();
}
