import { OnInit } from '@angular/core';
import { MainPageService } from '../../main-page.service';
import { SystemModel } from '../../../models/dictionaries/system.model';
export declare class SystemsGridComponent implements OnInit {
    private mainPageService;
    isSystemsHidden: boolean;
    systemsGridData: SystemModel[];
    templateSystem: SystemModel;
    editedSystem: SystemModel;
    rowNumber: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    saveNewSystem(): void;
    setChoosenElement(element: any, row: any): void;
    editSystem(): void;
    deleteSystem(element: any): void;
}
