import { AuthService } from './../service/common/auth.service';
import { MainPageService } from './main-page.service';
import { Router } from '@angular/router';
import { OnInit } from '@angular/core';
import { SideMenuComponent } from './side-menu/side-menu.component';
import { ShowViewerArgs } from '../models/viewer/ShowViewerArgs.model';
export declare class MainPageComponent implements OnInit {
    private router;
    private auth;
    private mainPageService;
    sideBar: SideMenuComponent;
    envName: string;
    isStpViewerVisible: boolean;
    chooseItem: string;
    menuTitle: string;
    showViewerArgs: ShowViewerArgs;
    hide: boolean;
    constructor(router: Router, auth: AuthService, mainPageService: MainPageService);
    ngOnInit(): void;
    logout(): void;
    showViewer(event: ShowViewerArgs): void;
    sidemenuChoice(value: any): void;
}
