import { OnInit } from '@angular/core';
import { MainPageService } from '../../../main-page.service';
import { SystemModel } from '../../../../models/dictionaries/system.model';
import { CorosiveProtectionModel } from '../../../../models/dictionaries/corosive-protection.model';
import { BasesManagmentComponent } from '../../../../main-page/master-data/bases/bases-managment/bases-managment.component';
import { UniversalConnectorModel } from '../../../../models/parts/universal-connector.model';
import { FormGroup } from '@angular/forms';
export declare class BasesGridComponent implements OnInit {
    private mainPageService;
    basesComponent: BasesManagmentComponent;
    isBasesHidden: boolean;
    basesGridData: UniversalConnectorModel[];
    basesGridDataOrigin: UniversalConnectorModel[];
    templateBase: UniversalConnectorModel;
    selectedRowId: any;
    systemsArray: SystemModel[];
    corrosionProtectionsArray: CorosiveProtectionModel[];
    formGroup: FormGroup;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadData(): void;
    toggle(): void;
    onbasesClick(sender: any): void;
    onRowClick(row: any, id: any): void;
    updatebasesInDb(id: any): void;
    saveNewBase(): void;
    searchInGridData(): void;
    prepareCreate(): void;
    private createForm();
}
