import { OnInit } from '@angular/core';
import { MainPageService } from '../../../main-page.service';
import { ChannelsManagmentComponent } from '../channels-managment/channels-managment.component';
import { ChannelModel } from '../../../../models/parts/channel.model';
import { CrossSectionModel } from '../../../../models/parts/cross-section.model';
import { SystemModel } from '../../../../models/dictionaries/system.model';
import { CorosiveProtectionModel } from '../../../../models/dictionaries/corosive-protection.model';
import { MaterialModel } from '../../../../models/dictionaries/material.model';
import { FormGroup } from '@angular/forms';
export declare class ChannelsGridComponent implements OnInit {
    private mainPageService;
    channelComponent: ChannelsManagmentComponent;
    isChannelHidden: boolean;
    channelGridData: ChannelModel[];
    templateChannel: ChannelModel;
    headers: string[];
    selectedRowId: any;
    allCrossSectionsArray: CrossSectionModel[];
    availableCrossSectionsArray: CrossSectionModel[];
    systemsArray: SystemModel[];
    corrosionProtectionsArray: CorosiveProtectionModel[];
    materialsArray: MaterialModel[];
    formGroup: FormGroup;
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadData(): void;
    toggle(): void;
    onChannelClick(sender: any): void;
    onRowClick(row: any, id: any): void;
    updateChannelInDb(id: any): void;
    saveNewChannel(): void;
    prepareCreate(): void;
    private createForm();
    filterCrossSections(): void;
}
