import { OnInit } from '@angular/core';
import { MainPageService } from '../../../main-page.service';
import { ConnectorManagmentComponent } from '../connector-managment/connector-managment.component';
import { SystemModel } from '../../../../models/dictionaries/system.model';
import { CorosiveProtectionModel } from '../../../../models/dictionaries/corosive-protection.model';
import { UniversalConnectorModel } from '../../../../models/parts/universal-connector.model';
import { FormGroup } from '@angular/forms';
export declare class ConnectorGridComponent implements OnInit {
    private mainPageService;
    connectorComponent: ConnectorManagmentComponent;
    isConnectorHidden: boolean;
    connectorGridData: UniversalConnectorModel[];
    connectorGridDataOrigin: UniversalConnectorModel[];
    templateConnector: UniversalConnectorModel;
    selectedRowId: any;
    systemsArray: SystemModel[];
    corrosionProtectionsArray: CorosiveProtectionModel[];
    formGroup: FormGroup;
    connectorTypeArray: any[];
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadData(): void;
    toggle(): void;
    onConnectorClick(sender: any): void;
    onRowClick(row: any, id: any): void;
    updateConnectorInDb(id: any): void;
    saveNewConnector(): void;
    searchInGridData(): void;
    prepareCreate(): void;
    private createForm();
}
