import { OnInit } from '@angular/core';
import { MainPageService } from '../../../main-page.service';
import { CrossSectionModel } from '../../../../models/parts/cross-section.model';
import { CrossSectionManagmentComponent } from '../cross-sections-managment/cross-sections-managment.component';
import { SystemModel } from '../../../../models/dictionaries/system.model';
import { FormGroup } from '@angular/forms';
export declare class CrossSectionGridComponent implements OnInit {
    private mainPageService;
    crossSectionComponent: CrossSectionManagmentComponent;
    isCrossSectionHidden: boolean;
    crossSectionGridData: CrossSectionModel[];
    systemsArray: SystemModel[];
    selectedRowId: any;
    templateCrossSection: CrossSectionModel;
    headers: string[];
    formGroup: FormGroup;
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadData(): void;
    toggle(): void;
    onConnectorClick(sender: any): void;
    onRowClick(row: any, id: any): void;
    updateCrossSectionInDb(id: any): void;
    saveNewCrossSection(): void;
    prepareCreate(): void;
    private createForm();
}
