import { OnInit } from '@angular/core';
import { MainPageService } from '../../../main-page.service';
import { SystemModel } from '../../../../models/dictionaries/system.model';
import { CorosiveProtectionModel } from '../../../../models/dictionaries/corosive-protection.model';
import { UniversalConnectorModel } from '../../../../models/parts/universal-connector.model';
import { FormGroup } from '@angular/forms';
import { PipeFasteningsManagmentComponent } from '../../../../main-page/master-data/pipe-fastening/pipe-fastening-managment/pipe-fastening-managment.component';
export declare class PipeFasteningsGridComponent implements OnInit {
    private mainPageService;
    pipeFasteningComponent: PipeFasteningsManagmentComponent;
    isPipeFasteningHidden: boolean;
    pipeFasteningsGridData: UniversalConnectorModel[];
    pipeFasteningsGridDataOrigin: UniversalConnectorModel[];
    templatePipeFastening: UniversalConnectorModel;
    selectedRowId: any;
    systemsArray: SystemModel[];
    corrosionProtectionsArray: CorosiveProtectionModel[];
    pipeFasteningGroupsArray: any[];
    formGroup: FormGroup;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadData(): void;
    toggle(): void;
    onbasesClick(sender: any): void;
    onRowClick(row: any, id: any): void;
    updatePipeFasteningsInDb(id: any): void;
    saveNewPipeFastening(): void;
    searchInGridData(): void;
    prepareCreate(): void;
    private createForm();
}
