import { OnInit } from '@angular/core';
import { MainPageService } from '../../../main-page.service';
import { FormGroup } from '@angular/forms';
import { PipeRingsManagmentComponent } from '../pipe-rings-managment/pipe-rings-managment.component';
import { PipeRingModel } from '../../../../models/parts/pipering.model.';
import { PiperingGroupModel } from '../../../../models/dictionaries/pipering-group.model';
import { CorosiveProtectionModel } from '../../../../models/dictionaries/corosive-protection.model';
export declare class PipeRingsGridComponent implements OnInit {
    private mainPageService;
    pipeRingsComponent: PipeRingsManagmentComponent;
    isPipeRingHidden: boolean;
    pipeRingsGridData: PipeRingModel[];
    selectedRowId: any;
    templatePipeRing: PipeRingModel;
    headers: string[];
    formGroup: FormGroup;
    piperingGroupsData: PiperingGroupModel[];
    corrosionProtectionData: CorosiveProtectionModel[];
    piperingFamiliesArray: any[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadData(): void;
    toggle(): void;
    onPipeRingClick(sender: any): void;
    onRowClick(row: any, id: any): void;
    updatePipeRingInDB(id: any): void;
    saveNewPipeRing(): void;
    prepareCreate(): void;
    private createForm();
}
