import { OnInit } from '@angular/core';
import { MainPageService } from './../../../main-page.service';
import { Subject } from 'rxjs';
import { FormBuilder, FormGroup } from '@angular/forms';
import { PiperingBossThreadedRodModel } from '../../../../models/parts/pipering-boss-threade-rod.model';
export declare class PiperingBossesManagementComponent implements OnInit {
    private mainPageService;
    private formBuilder;
    piperingBossData: any;
    isPiperingBossNew: boolean;
    stateSubject: Subject<any>;
    piperingBossThreadedRodsGridData: PiperingBossThreadedRodModel[];
    editedThreadedRodData: PiperingBossThreadedRodModel;
    canAddRowToThreadedRodsGrid: boolean;
    private threadedRodsOpenedGridRows;
    isThreadedRodsGridInChangeMode: boolean;
    currentOpenRow: number;
    formGroup: FormGroup;
    rowNumber: number;
    private removeData;
    threadedRodsData: any[];
    constructor(mainPageService: MainPageService, formBuilder: FormBuilder);
    ngOnInit(): void;
    loadData(): void;
    showManagmentPage(sender: any, isNew?: any): void;
    save(): void;
    returnHandler(): void;
    editHandlerForThreadedRodData({sender, rowIndex}: {
        sender: any;
        rowIndex: any;
    }): void;
    cancelHandlerForThreadedRodData({sender, rowIndex}: {
        sender: any;
        rowIndex: any;
    }): void;
    saveHandlerForThreadedRodData({sender, formGroup, rowIndex}: {
        sender: any;
        formGroup: any;
        rowIndex: any;
    }): void;
    addHandlerForThreadedRodData({sender}: {
        sender: any;
    }): void;
    removeHandler({dataItem}: {
        dataItem: any;
    }): void;
    createFormGroupForThreadedRodData(dataItem: PiperingBossThreadedRodModel): FormGroup;
    overwriteDataInGrid(rowIndex: any, formGroup: any): void;
    saveNewThreadedRod(): void;
    saveEditedThreadedRod(): void;
    removeSize(): void;
    deleteThreadedRod(threadedRod: any): void;
}
