import { OnInit } from '@angular/core';
import { MainPageService } from '../../../../main-page/main-page.service';
import { PipesManagmentComponent } from '../pipes-managment/pipes-managment.component';
import { PipeModel } from '../../../../models/parts/pipe.model';
export declare class PipesGridComponent implements OnInit {
    private mainPageService;
    managmentComponent: PipesManagmentComponent;
    isPipesHidden: boolean;
    pipesGridData: PipeModel[];
    selectedPipe: PipeModel;
    isPipeChoosen: boolean;
    elementIndex: number;
    headers: string[];
    constructor(mainPageService: MainPageService);
    ngOnInit(): void;
    loadGridDataFromDb(): void;
    toggle(): void;
    createNewPipe(): void;
    setChoosenElement(element: any): void;
    editPipe(element: any): void;
    deletePipe(): void;
}
