import { OnInit } from '@angular/core';
import { MainPageService } from './../../../main-page.service';
import { Subject } from 'rxjs';
import { BasicDictionaryModel } from '../../../../models/dictionaries/basic-dictionary.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { WorkingPiperingModel } from '../../../../models/settings/working-pipering.model';
import { PipeRingModel } from '../../../../models/parts/pipering.model.';
export declare class PipeToPiperingsManagmentComponent implements OnInit {
    private mainPageService;
    private formBuilder;
    pipeToPiperingData: any;
    isPipeToPiperingNew: boolean;
    stateSubject: Subject<any>;
    pipeFunctionsArray: BasicDictionaryModel[];
    pipeMaterialTypesArray: BasicDictionaryModel[];
    workingPiperingsArray: WorkingPiperingModel[];
    editedWorkingPiperingData: WorkingPiperingModel;
    canAddRowToPiperingsGrid: boolean;
    private piperingsOpenedGridRows;
    isPiperingsGridInChangeMode: boolean;
    currentOpenRow: number;
    formGroup: FormGroup;
    rowNumber: number;
    private removeData;
    piperingsArray: PipeRingModel[];
    orientationsArray: any[];
    constructor(mainPageService: MainPageService, formBuilder: FormBuilder);
    ngOnInit(): void;
    loadData(): void;
    private loadWorkingPiperings();
    showManagmentPage(sender: any, isNew: any): void;
    save(): void;
    returnHandler(): void;
    editHandlerForPiperingData({sender, rowIndex}: {
        sender: any;
        rowIndex: any;
    }): void;
    cancelHandlerForPiperingData({sender, rowIndex}: {
        sender: any;
        rowIndex: any;
    }): void;
    saveHandlerForPiperingData({sender, formGroup, rowIndex}: {
        sender: any;
        formGroup: any;
        rowIndex: any;
    }): void;
    addHandlerForPiperingData({sender}: {
        sender: any;
    }): void;
    removeHandler({dataItem}: {
        dataItem: any;
    }): void;
    createFormGroupForPiperingsData(): FormGroup;
    overwriteDataInGrid(rowIndex: any): void;
    saveNewPipering(): void;
    saveEditedPipering(): void;
    removePipering(): void;
    deletePipePipering(size: any): void;
}
