import { OnInit, NgZone } from "@angular/core";
import { StpConfigureService } from "../stp-configure.service";
import { MainPageService } from "../../../main-page/main-page.service";
import { ExtensionInterface } from "../../../models/viewer/ExtensionInterface.model";
export declare class ArmsConfigureComponent implements OnInit {
    private stpConfigureService;
    private mainPageService;
    private zone;
    extensionInterface: ExtensionInterface;
    armData: any[];
    profileData: any;
    dirOptions: any[];
    releaseCodeOptions: any[];
    isVariantChoosen: boolean;
    ExtensionInterface: ExtensionInterface;
    constructor(stpConfigureService: StpConfigureService, mainPageService: MainPageService, zone: NgZone);
    ngOnInit(): void;
    loadVariantData(): void;
    showArmsConfiguration(): void;
    armDirectionChanged(arm: any, event: any): void;
    removeArm(arm: any): void;
    addEmptyArm(): void;
    saveConfiguration(): void;
    saveVariantConfiguration(): void;
    releaseCodeChanged(index: any, event: any): void;
    isBorderValueChanged(index: any): void;
    checkForSiblings(arm: any): any[];
}
