import { OnInit } from '@angular/core';
import { StpConfigureService } from '../stp-configure.service';
import { PartListConnectorModel } from '../../../models/parts/part-list-connector.model';
import { ShowViewerArgs } from '../../../models/viewer/ShowViewerArgs.model';
export declare class PartListComponent implements OnInit {
    private stpConfigureService;
    args: ShowViewerArgs;
    private extensionInterface;
    headers: string[];
    partListGridData: any[];
    templateConnector: PartListConnectorModel;
    unitCollection: string[];
    currentEdited: any;
    currentViewerTypeId: any;
    constructor(stpConfigureService: StpConfigureService);
    ngOnInit(): void;
    save(): void;
    saveNewPartListConnector(): void;
    deletePartListElement(elementIndex: any): void;
    isPartListConnectorValidate(): boolean;
    updatePartListElement(): void;
    setCurrentEdited(index: any): void;
    clearInputs(): void;
    setViewerTypeId(): void;
    checkTypeOfPartListElement(variantId: any): boolean;
}
