import { OnInit, NgZone } from "@angular/core";
import { MainPageService } from "../../main-page.service";
import { StpConfigureService } from "../stp-configure.service";
import { ExtensionInterface } from "../../../models/viewer/ExtensionInterface.model";
export declare class ProfilesConfigureComponent implements OnInit {
    private mainPageService;
    private stpConfigureService;
    private zone;
    private extensionInterface;
    profileData: any;
    crossSectionOptions: any[];
    armData: any[];
    dirOptions: any[];
    releaseCodeOptions: any[];
    currentChoosenArmGroup: number;
    ExtensionInterface: ExtensionInterface;
    constructor(mainPageService: MainPageService, stpConfigureService: StpConfigureService, zone: NgZone);
    ngOnInit(): void;
    saveConfiguration(): void;
    showProfilesConfiguration(): void;
    addCrossSection(arm: any): void;
    removeCrossSection(arm: any, crossSection: any): void;
    crossSectionChanged(arm: any, crossSection: any, event: any): void;
    showCrossSection(arm: any, crossSection: any): void;
    rotationChanged(arm: any, crossSection: any, angle: any): void;
    hideCrossSections(): void;
    addNewArmGroup(newGroupName: any): void;
    removeCurrentArmGroup(): void;
    onGroupChange(): void;
}
