import { OnInit, EventEmitter } from '@angular/core';
import { UserService } from '../../service/common/user.service';
import { TranslateService } from '@ngx-translate/core';
import { UserRoleService } from '../../service/common/user-role.service';
import { ShowViewerArgs } from '../../models/viewer/ShowViewerArgs.model';
import { ExtensionInterface } from '../../models/viewer/ExtensionInterface.model';
import { CORE } from '../../models/viewer/CORE.model';
export declare class StpConfigureComponent implements OnInit {
    private user;
    private translate;
    private userRoleService;
    armsConfigure: any;
    profilesConfigure: any;
    rodConfigure: any;
    args: ShowViewerArgs;
    onShowViewer: EventEmitter<ShowViewerArgs>;
    maximized: boolean;
    viewerIframeId: string;
    CORE: CORE;
    ExtensionInterface: ExtensionInterface;
    currentTab: string;
    constructor(user: UserService, translate: TranslateService, userRoleService: UserRoleService);
    ngOnInit(): void;
    initView(): void;
    calculateHeight(): "calc(100vh - 48px)" | "calc(100vh - 150px)";
    closeViewer(): void;
    setCurrentTab(code: any): void;
    fixView(): void;
}
