export interface CORE {
    openGeometryScreen: Function;
    openLoadScreen: Function;
    openCalculationScreen: Function;
    showRealisticView: Function;
    showEngineringView: Function;
    loadFromDb: Function;
    getSaveData: Function;
    getLocalModel: Function;
    setLocalModel: Function;
    saveInNewSubproject: Function;
    changeFontSize: Function;
    changeLoadFontSize: Function;
    changeLoadModelScale: Function;
    constructionTransparencyChange: Function;
    calculate: Function;
    heightOfLoadsTableViewer: number;
    topBorder: number;
    whichViewerTab: string;
    parentWindowOpen: Function;
    zoomAll: Function;
    adjustTopBorder: Function;
    isAuthenticatedFunc: Function;
    setShowCheckboxesPanel(value: boolean): any;
    generateSS(): any;
    visibleCalcForce(forceName: String): any;
    showCalcDisplacement(shouldShow: boolean): any;
    showCalcForces(forceName: String, shouldShow: boolean): any;
    setShowLoads(value: boolean): any;
    setShowMeshes(value: boolean, type: string): any;
    setShowDimensionLines(value: boolean): any;
    stopRenderLoop(): any;
    stylePropertiesContainer(maxHeightDiff: number, top: number): any;
    getViewUi(): any;
    getTranslations(): any;
    loadStp(id: number): any;
    refreshAspectRatio(): any;
}
