/**
 * AppStorage interface
 **/
export interface IAppStorageService {
    get<T>(key: string): T;
    set(key: string, value: any): void;
    remove(key: string): void;
}
/**
 * Local storage dictionary
 **/
export declare class AppStorageService implements IAppStorageService {
    get<T>(key: string): T;
    set<T>(key: string, value: T): void;
    remove(key: string): void;
}
