import { ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { CanActivate } from '@angular/router';
import { UserService } from './user.service';
import { AuthService } from './auth.service';
import { AppStorageService } from './../common/app-storage.service';
export declare class RouteGuard implements CanActivate {
    private userService;
    private authService;
    private appStorageService;
    constructor(userService: UserService, authService: AuthService, appStorageService: AppStorageService);
    getAuthURLWithoutHistory(): string;
    getAuthURL(): string;
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
    private generateState();
}
