import { Authentication } from './../../models/authentication';
import { EventEmitter } from '@angular/core';
import { AppStorageService } from './../common/app-storage.service';
import { SessionStorageService } from './../common/session-storage.service';
export declare class UserService {
    private appStorage;
    private sessionStorageService;
    private appStorageService;
    private accessToken;
    authentication: Authentication;
    private jwtHelper;
    private isTest;
    authenticated: EventEmitter<Authentication>;
    constructor(appStorage: AppStorageService, sessionStorageService: SessionStorageService, appStorageService: AppStorageService);
    readonly isEulaAccepted: boolean;
    readonly isAuthenticated: boolean;
    setAuthenticated(data: any, remember?: boolean): void;
    invalidateAuthentication(): void;
    removeOptions(): void;
    authenticatedFromStorage(): void;
    onAuthenticated(fn: (authentication: Authentication) => void): void;
}
