export interface CORE {
    openGeometryScreen: Function;
    openLoadScreen: Function;
    openCalculationScreen: Function;
    showRealisticView: Function;
    showEngineringView: Function;
    loadFromDb: Function;
    getSaveData: Function;
    getLocalModel: Function;
    setLocalModel: Function;
    saveInNewSubproject: Function;
    changeFontSize: Function;
    changeLoadFontSize: Function;
    changeLoadModelScale: Function;
    constructionTransparencyChange: Function;
    calculate: Function;
    heightOfLoadsTableViewer: number;
    topBorder: number;
    whichViewerTab: string;
    parentWindowOpen: Function;
    zoomAll: Function;
    adjustTopBorder: Function;
    isAuthenticatedFunc: Function;
    setShowCheckboxesPanel(value: boolean);
    generateSS(): any;
    visibleCalcForce(forceName: String);
    showCalcDisplacement(shouldShow: boolean);
    showCalcForces(forceName: String, shouldShow: boolean);
    setShowLoads(value: boolean);
    setShowMeshes(value: boolean, type: string);
    setShowDimensionLines(value: boolean);
    stopRenderLoop();
    stylePropertiesContainer(maxHeightDiff: number, top: number);
    getViewUi();
    getTranslations();
    loadStp(id: number);
    refreshAspectRatio();
}
