var MODEL = MODEL || {};

MODEL.Connector = function() {
    this.type = MODEL.OBJECT_TYPE.Connector;
    this.id = 0;
    this.connectorType = ko.observable();
    this.parentType = ko.observable();
    this.isBase = ko.observable();
    this.modelId = ko.observable();
    this.details = ko.observable();
};
MODEL.Connector.prototype = {
    constructor: MODEL.Connector,
    save: function() {
        return {
            id: this.id,
            type: this.connectorType(),
            parentType: this.parentType(),
            isBase: this.isBase(),
            modelId: this.modelId(),
            details: this.details(),
        };
    },
    load: function(object, construction) {
        this.id = object.id;
        this.connectorType(object.type),
        this.parentType(object.parentType),
        this.isBase(object.isBase),
        this.modelId(object.modelId),
        this.details(object.details)
    }
};