var stats;
var contextLost = false;
var lastAnimationRequestId = null;
function renderNow() {

    if (!CORE) return;
    CORE.view3D.processLastMouseMoveEvent();

    if (_dirtyFrame && !contextLost) {
        renderer.clear();
        if (!isEmpty(CORE.constructionView3D) && CORE.constructionView3D.activeWorkplane.initialised) {
            renderer.render(CORE.constructionView3D.activeWorkplane.skyboxScene, CORE.constructionView3D.activeWorkplane.skyboxCamera);
            renderer.clearDepth();
            renderer.render(CORE.constructionView3D.activeWorkplane.workplaneScene, camera);
            renderer.clearDepth();
        }

        if (_actionType === MODE_TYPE.ROTATE || _actionType === MODE_TYPE.PAN || _actionType === MODE_TYPE.ZOOM || isEmpty(_actionType)) {
            renderer.render(scene, camera);
        }

        if (!isEmpty(CORE.highlight)) {
            CORE.highlight.render(camera);
        }

        if (_actionType === MODE_TYPE.ROTATE && !isEmpty(VIEW3D.AxisHelper) && !isEmpty(VIEW3D.AxisHelper.scene)) {
            renderAxisHelper();
        }
        
        _dirtyFrame = false;

    }

    if(CORE.renderLoopActive === true) {
        lastAnimationRequestId = requestAnimationFrame(renderNow);
    }
}

function renderAxisHelper() {
    VIEW3D.AxisHelper.renderer.clear();
    VIEW3D.AxisHelper.renderer.render(VIEW3D.AxisHelper.scene, VIEW3D.AxisHelper.camera);
    VIEW3D.AxisHelper.renderer.clearDepth();
    VIEW3D.AxisHelper.renderer.render(VIEW3D.AxisHelper.scene2d, VIEW3D.AxisHelper.camera2d);
}

//var renderWillBeExecuted = false;
var _actionType = false;
var _dirtyFrame = false;
function render(actionType) {
    _dirtyFrame = true;
    _actionType = actionType;
}

function resizeCanvas() {
}

function SetStats() {
    stats = new Stats();
    stats.domElement.style.position = 'absolute';
    stats.domElement.style.left = '0px';
    stats.domElement.style.top = '0px';
    stats.domElement.style.zIndex = '999999';
    document.body.appendChild(stats.domElement);
}
function initContextLostHandler() {
    renderer.context.canvas.addEventListener("webglcontextlost", function (event) {
        alert(translation["CONTEXT_LOST"]);
        contextLost = true;
        location.reload();
    }, false);
}