﻿'use strict';
var VIEW3D = VIEW3D || {}

// class VIEW3D.ResultsWindowWorkplane extendes THREE.Line
// binds to active workplane and shows it as frid
VIEW3D.ResultsWindowWorkplane = function (ResultsWindowWorkplaneModel, halfSize, step, color) {
	//var halfSize = 50;
	//var step = 1;       //distance between grid lines
	this.planeMath = null;
	this.visible = false;
	this.model = ResultsWindowWorkplaneModel == null ? null : ResultsWindowWorkplaneModel();
	// grid
	var geometry = new THREE.Geometry();
	var material = new THREE.LineBasicMaterial({ color: color, depthTest: false, depthWrite: false });

	var positionChangeSubscription = null;


	for (var i = -halfSize; i <= halfSize; i += step) {
		geometry.vertices.push(new THREE.Vector3(-halfSize, i, 0));
		geometry.vertices.push(new THREE.Vector3(halfSize, i, 0));
		geometry.vertices.push(new THREE.Vector3(i, -halfSize, 0));
		geometry.vertices.push(new THREE.Vector3(i, halfSize, 0));
	}
	THREE.LineSegments.call(this, geometry, material);

	//var onPositionChange = function (threeVectors) { //threeVectors: MODEL.types.ThreeVectors
	//	this.planeMath = new THREE.Plane(new THREE.Vector3(0, 0, 0), 0);
	//	var point1 = HELPERS.toVector3(threeVectors.vector1);
	//	var point2 = HELPERS.toVector3(threeVectors.vector2);
	//	var point3 = HELPERS.toVector3(threeVectors.vector3);
	//	this.planeMath.setFromCoplanarPoints(point1, point2, point3);
	//	var normal = this.planeMath.normal;
	//	var position = this.position.clone();
	//	position.add(normal);
	//	this.lookAt(position);
	//	this.position.copy(point1);
	//	render();
	//}
	//var onResultsWindowWorkplaneChange = function (newWorkplane) {
	//	if (positionChangeSubscription != null) {
	//		positionChangeSubscription.dispose();
	//	}
	//	if (newWorkplane != null) {
	//		positionChangeSubscription = HELPERS.subscribePropertyChange(this, newWorkplane.position, "newWorkplane.position", onPositionChange);
	//		onPositionChange.call(this, newWorkplane.position());
	//		this.visible = true;
	//	} else {
	//		this.visible = false;
	//		this.planeMath = null;
	//		render();
	//	}
	//}
	//if (!isEmpty(ResultsWindowWorkplaneModel)) {
	//	HELPERS.subscribePropertyChange(this, ResultsWindowWorkplaneModel, "ResultsWindowWorkplaneModel", onResultsWindowWorkplaneChange);
	//	onResultsWindowWorkplaneChange.call(this, ResultsWindowWorkplaneModel());
	//}


}
VIEW3D.ResultsWindowWorkplane.prototype = Object.create(THREE.LineSegments.prototype);
VIEW3D.ResultsWindowWorkplane.prototype.parent = null;

// overrid raycast
//VIEW3D.ResultsWindowWorkplane.prototype.raycast = function (raycaster, intersects) {
//	if (this.planeMath != null) {
//		var end = raycaster.ray.direction.clone().multiplyScalar(10000.0).add(raycaster.ray.origin);
//		var line = new THREE.Line3(raycaster.ray.origin, end);
//		var intersection = this.planeMath.intersectLine(line);
//		if (intersection != undefined) {
//			intersects.push({ point: intersection });
//		}
//	}
//}