﻿'use strict';
var VIEW3D = VIEW3D || {}
VIEW3D.controls = VIEW3D.controls || {}

VIEW3D.controls.FillEdit = function (parent, selectedObjects, definingObject, cursor3D) {
    var enabled = false;
    this.objectFill = 0;
    this.enable = function() {
        if (enabled) {
            return;
        }
        enabled = true;
    }
    this.disable = function() {
        if (!enabled) {
            return;
        }
        scene.remove(this.objectFill);
        enabled = false;
    }
    this.onMouseUp = function (event) {
        if (enabled === false) {
            return false;
        }
        //$(document.activeElement).blur();
        definingObject().pointCount(definingObject().pointCount() + 1);
        var point = new MODEL.Point(definingObject().pointCount(), cursor3D.position.x, cursor3D.position.y, cursor3D.position.z);
        definingObject().positions.push(point);
        if (this.objectFill !== 0) {
            scene.remove(this.objectFill);
        }
        this.objectFill = new VIEW3D.Fill(definingObject());
        scene.add(this.objectFill);
        return false;
    }
}