﻿VIEWUI.definitionPopup = {
    divs: {
        //definition: { element: null, id: "VIEWUI_definition" },
        //definitionContents: { element: null, id: "VIEWUI_definition_contents" },
        //popup: { element: null, id: "VIEWUI_popup" },
        //popupContents: { element: null, id: "VIEWUI_popup_contents" },
        //addWorkplane: { element: null, id: "VIEWUI_properties_workplane" },
    },
    init: function() {
        /*var divs = VIEWUI.definitionPopup.divs;
        for (var property in divs) {
            if (divs.hasOwnProperty(property)) {
                divs[property].element = $('#' + divs[property].id);
                if (divs[property].element.length === 0) console.error("VIEWUI.definitionPopup.init: div " + divs[property].id + " not found in DOM");
            }
        }
        if (this.definitionContainer === null || this.definition === null
            || this.propertiesContainer === null || this.popups === null)
            throw 'VIEWUI.definitionPopup.init: Element does not exist!';
            */
        this.subscribeToModelChanges();

        //$(window).scroll(function () {
        //    if (!VIEWUI.toolbar.TopBarViewModel.isFullscreen()) {
        //        VIEWUI.properties.adjustAllComboboxLists();
        //    }
        //});

        //$(window).resize(function () {
        //    VIEWUI.properties.adjustAllComboboxLists();
        //});
    },
    subscribeToModelChanges: function() {
        HELPERS.subscribePropertyChange(VIEWUI, CORE.model.definingObject, "CORE.model.definingObject", this.onDefiningObjectChanged);
    },
    onDefiningObjectChanged: function(definingObject) {
        if (isEmpty(definingObject)) {
            VIEWUI.viewModel.popupMode(null);
        } else {
            CORE.model.deselectAll();
            var viewModel = VIEWUI.properties.vmGenerator.getViewModel(definingObject);
            //assign additional base properties
            VIEWUI.definitionPopup.assignBaseProperties(viewModel, definingObject);
            if (typeof VIEWUI.definitionPopup.viewModels[definingObject.type] !== 'undefined') { // if additional properties for type exist
                ko.mapping.fromJS(new VIEWUI.definitionPopup.viewModels[definingObject.type](viewModel), {}, viewModel); //assign additional properties
            }
            VIEWUI.definitionPopup.setAndShowPopup(viewModel, VIEWUI.properties.divs.propertiesContents.element);

            CORE.model.definingObject().watchModel(function () {                              // update switches when definingObject changes
                setTimeout(function () {
                    VIEWUI.initCheckboxes(VIEWUI.properties.divs.properties.element);
                }, 0);
            }, false);
        }
    },
    assignBaseProperties: function(viewModel, definingObject) {
        viewModel.type = 'definition';
        if (typeof VIEWUI.definitionPopup.viewModels[definingObject.type] === 'undefined') {
            console.error("VIEWUI.definitionPopup.assignBaseProperties: missing viewModel in viewModels for " + definingObject.type);
        }
        //viewModel.onOkClicked = VIEWUI.definitionPopup.viewModels[definingObject.type].onOkClicked;
        //viewModel.onCancelClicked = function () { CORE.model.definingObject(null); };
        viewModel.onKeyDown = function(event) {
            /*if (event.keyCode === KEYCODES.ENTER) {
                self.onOkClicked(self);
                document.removeEventListener("keydown", self.onKeyDown);
            }*/
            /*if (event.keyCode === KEYCODES.ESC) {
                viewModel.onCancelClicked(viewModel);
                document.removeEventListener("keydown", viewModel.onKeyDown);
            }*/
        }
        viewModel.onCancelClicked = function() {
            VIEWUI.toolbar.switchMode(MODE.SELECT);
            VIEWUI.viewModel.popupMode(null);
            CORE.model.deselectAll();
        }

        if (typeof definingObject.assignedTo === 'undefined' && typeof definingObject.barAttachments === 'undefined') {
            viewModel.addNewButtonVisible = function () { return true };
            viewModel.okButtonVisible = function () { return false };
            viewModel.finishButtonVisible = function () { return true };
            viewModel.cancelButtonVisible = function () { return false };
        } else {
            viewModel.addNewButtonVisible = function () { return false };
            viewModel.okButtonVisible = function () { return true };
            viewModel.finishButtonVisible = function () { return true };
            viewModel.cancelButtonVisible = function () { return true };
        }
        //document.addEventListener("keydown", viewModel.onKeyDown);
    },
    viewModels: (function() {
        var viewModels = {};
        viewModels[MODEL.OBJECT_TYPE.Node] = function(viewModel) {
            this.onOkClicked = function(viewModel) {
                var newNode = viewModel.modelObject;
                CORE.model.addNode(newNode);
                newNode = new MODEL.Node(new MODEL.types.Vector(0, 0, 0));
                CORE.model.definingObject(newNode);
            };
            this.sel = ko.observable(isEmpty(viewModel.modelObject.supportId()) ? 0 : viewModel.modelObject.supportId());
            this.sel.subscribe(function(value) {
                var node = viewModel.modelObject;
                var support = null;
                var i;
                for (i = 0; i < CORE.model.supports().length; i++) {
                    if (CORE.model.supports()[i].id === value) {
                        support = CORE.model.supports()[i];
                        break;
                    }
                }
                if (support !== null) {
                    support.assignTo(node);
                }
            });
            this.onFinishClicked = function (viewModel) {

                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
        };
        viewModels[MODEL.OBJECT_TYPE.Bar] = function(viewModel) {
            this.onOkClicked = function(viewModel) {
                var newBar = viewModel.modelObject; // bars and nodes are created in VIEW3d
                var newNode1 = newBar.node1();
                var newNode2 = newBar.node2();
                CORE.model.addNode(newNode1);
                CORE.model.addNode(newNode2);
                CORE.model.addBar(newBar);
                var newDefiningNode1 = new MODEL.Node(new MODEL.types.Vector(0, 0, 0));
                var newDefiningNode2 = new MODEL.Node(new MODEL.types.Vector(0, 0, 0));
                var newDefiningBar = new MODEL.Bar(newDefiningNode1, newDefiningNode2);
                CORE.model.definingObject(newDefiningBar);
                //VIEWUI.viewModel.popupMode(null);
            };

            this.onFinishClicked = function (viewModel) {

                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            
            this.onProfileListItemClick = function (modelObject, profile, isCircle) {
                modelObject.profileId(profile);
                modelObject.isProfileCircle(isCircle);
            };
            this.onProfileCurrentItemClick = function() {
                this.profileSearchQuery('');
                this.profileSearchResults(CORE.model.constraints.getProfilesForBar(viewModel.modelObject.id));
            };
            this.profileSearchQuery = ko.observable();
            this.onProfileSearchQueryChanged = function() {
                    var query = this.profileSearchQuery();
                    var profilesRepository = CORE.model.constraints.getProfilesForBar(viewModel.modelObject.id);
                    var results = [];
                    if (!query) {
                        this.profileSearchResults(profilesRepository);
                    } else {
                        for (var i = 0; i < profilesRepository.length; i++) {
                            profileItem = profilesRepository[i];
                            if (profileItem.name.toLowerCase().indexOf(query.toLowerCase()) > -1) {
                                results.push(profileItem);
                            }
                        }
                        this.profileSearchResults(results);
                    }
                },
                this.profileSearchResults = ko.observableArray();
        };
        viewModels[MODEL.OBJECT_TYPE.Workplane] = function() {
            this.onOkClicked = function(viewModel) {
                var newWorkplane = viewModel.modelObject;
                CORE.model.addWorkplane(newWorkplane);
                VIEWUI.viewModel.popupMode(null);
            };
        };
        viewModels[MODEL.OBJECT_TYPE.NodeForce] = function() {
            this.onOkClicked = function(viewModel) {
                var newLoad = viewModel.modelObject;
                CORE.model.addLoad(newLoad);
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
        };
        viewModels[MODEL.OBJECT_TYPE.NodeMoment] = function() {
            this.onOkClicked = function(viewModel) {
                var newLoad = viewModel.modelObject;
                CORE.model.addLoad(newLoad);
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
        };
        viewModels[MODEL.OBJECT_TYPE.NodeSupport] = function() {
            this.onOkClicked = function (viewModel) {      //is now automatically added
                //var newSupport = viewModel.modelObject;
                //CORE.model.addSupport(newSupport);   
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            this.cancelButtonVisible = function () { return false };
            this.finishButtonVisible = function () { return true };
            this.okButtonVisible = function () { return false };
            this.nameFieldDisabled = function () { return true; };
        };
        viewModels[MODEL.OBJECT_TYPE.BarForce] = function(viewModel) {
            this.onOkClicked = function (viewModel) {
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            this.onFinishClicked = function (viewModel) {

                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            this.cancelButtonVisible = function () { return true };
            this.finishButtonVisible = function () { return true };
            this.okButtonVisible = function () { return false };

        };
        viewModels[MODEL.OBJECT_TYPE.BarUniform] = function() {
            this.onOkClicked = function() {
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            this.cancelButtonVisible = function () { return false };
            this.finishButtonVisible = function () { return true };
            this.okButtonVisible = function () { return false };
        };
        viewModels[MODEL.OBJECT_TYPE.BarTrapezoidal] = function(viewModel) {
            this.onOkClicked = function() {              
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            this.onFinishClicked = function (viewModel) {
                
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            this.p1 = viewModel.points()[0];
            this.p2 = viewModel.points()[1];
            this.cancelButtonVisible = function () { return true };
            this.finishButtonVisible = function () { return true };
            this.okButtonVisible = function () { return false };
        };
        viewModels[MODEL.OBJECT_TYPE.Fill] = function () {
            this.onOkClicked = function (viewModel) {
                var newFill = viewModel.modelObject;                
                CORE.model.addFill(newFill);
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);               
            };
            this.cancelButtonVisible = function () { return false };
            this.finishButtonVisible = function () { return false };
            this.okButtonVisible = function () { return true };
        };
        viewModels[MODEL.OBJECT_TYPE.BoxDefinition] = function () {
            this.onOkClicked = function (viewModel) {
                var newBox = viewModel.modelObject;
                CORE.model.addBox(newBox);
                VIEWUI.toolbar.switchMode(MODE.SELECT);
                VIEWUI.viewModel.popupMode(null);
            };
            this.cancelButtonVisible = function () { return false };
            this.finishButtonVisible = function () { return true };
            this.okButtonVisible = function () { return false };
        };


        return viewModels;
    })(),
    setAndShowPopup: function(viewModel, _propertiesDiv) {
        propertiesDiv = _propertiesDiv.clone(); //create a new copy from template
        //properties show
        VIEWUI.properties.divs.properties.element.html(propertiesDiv);
        ko.applyBindings(viewModel, propertiesDiv[0]);
        VIEWUI.spinners.init("#VIEWUI_propertiesContainer");
        VIEWUI.initCustomRadio($('.VIEWUI_customRadio'));
        VIEWUI.initCheckboxes(VIEWUI.properties.divs.properties.element);
        VIEWUI.initScrollbar(VIEWUI.properties.divs.properties.element.find(".VIEWUI_allFieldsContainer"));
        //VIEWUI.popups.divs.popupsContainer.element.show();
        VIEWUI.viewModel.popupMode(POPUP_MODE.DEFINITION);
        propertiesDiv = null;

        VIEWUI.properties.initComboboxListBehaviour(VIEWUI.properties.divs.properties.element);

        VIEWUI.adjustPropertiesHeight();

    }
}