﻿VIEWUI.measurementEdit = {
    viewModel: {
        measurement: null,
        length: ko.observable(0),
        ok: function () {
            this.measurement.length(this.length());
            VIEWUI.divs.editMeasurementContainer.element.hide();
            VIEWUI.measurementEdit.unbindEventHandlers();
        },
        cancel: function () {
            VIEWUI.divs.editMeasurementContainer.element.hide();
            VIEWUI.measurementEdit.unbindEventHandlers();
        }
    },
    init: function() {
        ko.applyBindings(this.viewModel, VIEWUI.divs.editMeasurementContainer.element[0]);
    },
    bindEventHandlers: function () {
        setTimeout(function () {
            $('#VIEWUI_container').not(VIEWUI.divs.editMeasurementContainer.element).on("click", VIEWUI.measurementEdit.onClick);
        }, 0);
    },
    unbindEventHandlers: function () {
        setTimeout(function () {
            $('#VIEWUI_container').not(VIEWUI.divs.editMeasurementContainer.element).off("click", VIEWUI.measurementEdit.onClick);
        }, 0);
    },

    onClick: function(event) {
        if (!$(event.target).parents('#' + VIEWUI.divs.editMeasurementContainer.id).length) { // if clicked outside div
            VIEWUI.measurementEdit.viewModel.cancel();
        }
    },

    edit: function (measurement, x, y) {
        this.viewModel.measurement = measurement
        this.viewModel.length(measurement.length());
        VIEWUI.divs.editMeasurementContainer.element.css({ left: x, top: y }).show();
        this.bindEventHandlers();
    }

}