﻿VIEWUI.moveEdit = {         // this class is for the textbox that appears when moving objects
    viewModel: {
        moveDistanceFromControl: null,        // represents observable that came from the control
        moveDistanceInput: ko.observable(0),  // represents textbox value
        ok: function () {
            this.moveDistanceFromControl(this.moveDistanceInput());
            VIEWUI.divs.editMoveContainer.element.hide();
            CORE.view3D.moveControl.isTextBoxVisible = false;
            CORE.view3D.moveControl.initialDistance = 0;
            CORE.view3D.moveControl.ignoreValueFromInputChange = true;
            CORE.view3D.moveControl.valueFromInput(0);
            //VIEWUI.moveEdit.unbindEventHandlers();
        },
        cancel: function () {
            VIEWUI.divs.editMoveContainer.element.hide();
            CORE.view3D.moveControl.isTextBoxVisible = false;
            CORE.view3D.moveControl.initialDistance = 0;
            //VIEWUI.moveEdit.unbindEventHandlers();
        }
    },
    init: function() {
        ko.applyBindings(this.viewModel, VIEWUI.divs.editMoveContainer.element[0]);
    },
    bindEventHandlers: function () {
        setTimeout(function () {
            $('#VIEWUI_container').not(VIEWUI.divs.editMoveContainer.element).on("click", VIEWUI.moveEdit.onClick);
        }, 0);
    },
    unbindEventHandlers: function () {
        setTimeout(function () {
            $('#VIEWUI_container').not(VIEWUI.divs.editMoveContainer.element).off("click", VIEWUI.moveEdit.onClick);
        }, 0);
    },

    onClick: function(event) {
        if (!$(event.target).parents('#' + VIEWUI.divs.editMoveContainer.id).length) { // if clicked outside div
            VIEWUI.moveEdit.viewModel.cancel();
        }
    },

    edit: function (moveDistanceObservable, x, y) {
        this.viewModel.moveDistanceInput(moveDistanceObservable());
        this.viewModel.moveDistanceFromControl = moveDistanceObservable;
        VIEWUI.divs.editMoveContainer.element.css({ left: x, top: y }).show();
        //this.bindEventHandlers();
    }

}