﻿(function () {
    'use strict';
    describe('MODEL.Bar', function () {
        describe('barIntersection', function () {
            it(' is returning intersection', function () {
                var bar1 = new MODEL.Bar(
                    new MODEL.Node(
                        new MODEL.types.Vector(0, 0, 0)
                    ),
                    new MODEL.Node(
                        new MODEL.types.Vector(1, 1, 1)
                    )
                );
                var bar2 = new MODEL.Bar(
                    new MODEL.Node(
                        new MODEL.types.Vector(1, 0, 0)
                    ),
                    new MODEL.Node(
                        new MODEL.types.Vector(0, 1, 1)
                    )
                );
                var intersection = bar1.barIntersection(bar2);

                expect(intersection).not.toBe(null);
                expect(intersection.x).toBe(0.5);
                expect(intersection.y).toBe(0.5);
                expect(intersection.z).toBe(0.5);
            });
        });
    });
})();
